getdns_dict_set(3)

NAME
getdns_dict_set, getdns_dict_set_bindata, getdns_dict_set_dict, getdns_dict_set_int, getdns_dict_set_list, -- set a value by name in a getdns dict

LIBRARY
DNS Resolver library (libgetdns, -lgetdns)

SYNOPSIS
#include <getdns.h> getdns_return_t
getdns_dict_set_bindata (getdns_dict *this_dict,
    char *name,
    getdns_bindata *child_bindata)
getdns_return_t
getdns_dict_set_dict (getdns_dict *this_dict,
    char *name,
    getdns_dict *child_dict)
getdns_return_t
getdns_dict_set_int (getdns_dict *this_dict,
    char *name,
    uint32_t child_uint32_t)
getdns_return_t
getdns_dict_set_list (getdns_dict *this_dict,
    char *name,
    getdns_list *child_list)

DESCRIPTION

The getdns_dict type is used to manage name/value pairs in which the names are strings and the data types of the values are heterogeneous and include
    getdns_bindata
    getdns_dict
    getdns_list
    uint32_t

this_dict the dictionary in which to add/update the name/value pair

name the name whose associated value is to be set. If the name exists in the dictionary the value associated with that name is replaced, if the name does not exist in the dictionary a new item is added to the dictionary.

child_bindata child_dict child_list child_uint32 value to assign the name

RETURN VALUES
Upon successful completion the functions return GETDNS_RETURN_GOOD , otherwise the following error values are returned:

GETDNS_RETURN_GENERIC_ERROR if this_dict is not a valid dictionary

EXAMPLES
TBD

SEE ALSO
libgetdns(3), getdns_address(3), getdns_dict(3), getdns_dict_get(3), getdns_general(3), getdns_hostname(3), getdns_service(3)